List all items
curl --request GET \
--url https://app.supercycle.com/api/v1/items \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.supercycle.com/api/v1/items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.supercycle.com/api/v1/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 123,
"createdAt": "2023-11-07T05:31:56Z",
"activeRentalId": 123,
"productTitle": "<string>",
"serial": "<string>",
"sequentialId": 123,
"shopifyVariantId": 123,
"status": "processed",
"tags": [
"<string>"
],
"variantTitle": "<string>",
"visibility": "available",
"activeReturnId": 123,
"condition": {
"id": 123,
"createdAt": "2023-11-07T05:31:56Z",
"severityKey": "<string>",
"severityTone": "<string>",
"title": "<string>"
},
"conditionId": 123,
"imageUrl": "<string>",
"location": {
"shopifyId": 123,
"name": "<string>"
},
"pickLocation": "<string>",
"acquisitionCostCents": 123,
"roiCents": 123,
"shopifyProductId": 123,
"timelineEvents": [
{
"id": 123,
"eventableId": 123,
"eventableType": "<string>",
"eventType": "<string>",
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"author": "<string>"
}
],
"customFields": [
{
"id": 123,
"ownerId": 123,
"ownerType": "Item",
"definitionId": 123,
"key": "<string>",
"value": "<string>",
"valueJson": "<unknown>"
}
]
}
],
"nextPage": "<string>"
}{
"error": "Rate limit exceeded. Retry after 42 seconds."
}Items
List all items
Returns a list of items and their details given parameters. Used by merchants to view their inventory.
GET
/
items
List all items
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 50.
Required range:
x <= 100Cursor token to fetch next page of results.
Filter items by Shopify variant SKU
Filter items by serial
Filter items by titles, serials and SKU
Filter items by visibility status
Available options:
available, unavailable, sold, retired When true, filter rentals by ones with active rentals
Filter by return order status. Can be a comma-separated list of statuses.
Example:
"requested,expected,received,in_progress,completed,cancelled"
Was this page helpful?
⌘I